# Uses of Interface
org.opensaml.xacml.ctx.StatusType

Packages that use StatusType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of StatusType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return StatusType
Modifier and Type
Method
Description
`StatusType`
ResultType.`getStatus()`
Returns the status in the result.
Methods in org.opensaml.xacml.ctx with parameters of type StatusType
Modifier and Type
Method
Description
`void`
ResultType.`setStatus(StatusType status)`
Sets the result status.

## Uses of StatusType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement StatusType
Modifier and Type
Class
Description
`class`
`StatusTypeImpl`
Concrete implementation of `StatusType`.
Fields in org.opensaml.xacml.ctx.impl declared as StatusType
Modifier and Type
Field
Description
`private StatusType`
ResultTypeImpl.`status`
List of the status of this result.
Methods in org.opensaml.xacml.ctx.impl that return StatusType
Modifier and Type
Method
Description
`StatusType`
StatusTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`StatusType`
StatusTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`StatusType`
ResultTypeImpl.`getStatus()`
Returns the status in the result.
Methods in org.opensaml.xacml.ctx.impl with parameters of type StatusType
Modifier and Type
Method
Description
`void`
ResultTypeImpl.`setStatus(StatusType statusIn)`
Sets the result status.